package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 诊断记录信息对象 t_record
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public class TRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 患者 */
    @Excel(name = "患者")
    private Long patientId;

    /** 医生 */
    @Excel(name = "医生")
    private Long doctorId;

    /** 医院 */
    @Excel(name = "医院")
    private Long hospitalId;

    /** 状态（0预约 1就诊） */
    @Excel(name = "状态", readConverterExp = "0=预约,1=就诊")
    private String status;

    /** ai诊断结果 */
    @Excel(name = "ai诊断结果")
    private String aiResult;

    /** ai诊断结果，无图片 */
    @Excel(name = "ai诊断结果，无图片")
    private String aiResult2;

    /** 医生诊断结果 */
    @Excel(name = "医生诊断结果")
    private String updateResult;

    /** 医生诊断结果，无图片 */
    @Excel(name = "医生诊断结果，无图片")
    private String updateResult2;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date uploadTime;

    /** 舌下 */
    @Excel(name = "舌下")
    private String imgSx;

    /** 舌上 */
    @Excel(name = "舌上")
    private String imgSm;

    /** 响应时长 */
    @Excel(name = "响应时长")
    private Long responseTime;

    /** 响应时长 */
    @Excel(name = "ai结果返回时间")
    private Date aiResultReturnTime;

    /** 响应时长 */
    @Excel(name = "ai结果修改时间")
    private Date aiResultModifyTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPatientId(Long patientId) 
    {
        this.patientId = patientId;
    }

    public Long getPatientId() 
    {
        return patientId;
    }
    public void setDoctorId(Long doctorId) 
    {
        this.doctorId = doctorId;
    }

    public Long getDoctorId() 
    {
        return doctorId;
    }
    public void setHospitalId(Long hospitalId) 
    {
        this.hospitalId = hospitalId;
    }

    public Long getHospitalId() 
    {
        return hospitalId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setAiResult(String aiResult) 
    {
        this.aiResult = aiResult;
    }

    public String getAiResult() 
    {
        return aiResult;
    }
    public void setAiResult2(String aiResult2) 
    {
        this.aiResult2 = aiResult2;
    }

    public String getAiResult2() 
    {
        return aiResult2;
    }
    public void setUpdateResult(String updateResult) 
    {
        this.updateResult = updateResult;
    }

    public String getUpdateResult() 
    {
        return updateResult;
    }
    public void setUpdateResult2(String updateResult2) 
    {
        this.updateResult2 = updateResult2;
    }

    public String getUpdateResult2() 
    {
        return updateResult2;
    }
    public void setUploadTime(Date uploadTime) 
    {
        this.uploadTime = uploadTime;
    }

    public Date getUploadTime() 
    {
        return uploadTime;
    }
    public void setImgSx(String imgSx) 
    {
        this.imgSx = imgSx;
    }

    public String getImgSx() 
    {
        return imgSx;
    }
    public void setImgSm(String imgSm) 
    {
        this.imgSm = imgSm;
    }

    public String getImgSm() 
    {
        return imgSm;
    }
    public void setResponseTime(Long responseTime) 
    {
        this.responseTime = responseTime;
    }

    public Long getResponseTime() 
    {
        return responseTime;
    }

    public Date getAiResultReturnTime()
    {
        return aiResultReturnTime;
    }

    public void setAiResultReturnTime(Date aiResultReturnTime)
    {
        this.aiResultReturnTime = aiResultReturnTime;
    }

    public Date getAiResultModifyTime()
    {
        return aiResultModifyTime;
    }

    public void setAiResultModifyTime(Date aiResultModifyTime)
    {
        this.aiResultModifyTime = aiResultModifyTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("patientId", getPatientId())
            .append("doctorId", getDoctorId())
            .append("hospitalId", getHospitalId())
            .append("status", getStatus())
            .append("aiResult", getAiResult())
            .append("aiResult2", getAiResult2())
            .append("updateResult", getUpdateResult())
            .append("updateResult2", getUpdateResult2())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("uploadTime", getUploadTime())
            .append("imgSx", getImgSx())
            .append("imgSm", getImgSm())
            .append("responseTime", getResponseTime())
            .append("aiResultReturnTime", getAiResultReturnTime())
            .append("aiResultModifyTime", getAiResultModifyTime())
            .toString();
    }
}
