package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.TPatient;
import com.ruoyi.system.domain.resp.PlatformDayPlanResp;
import com.ruoyi.system.domain.resp.WeekMonthPersonCountResp;
import com.ruoyi.system.mapper.TRecordMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author zhuqing
 * @Date 2022/8/9
 */
@Component
public class PlatformService {

    @Autowired
    private TRecordMapper tRecordMapper;

    /**
     * 设备统计各个个数查询
     * @param hospitalId
     * @param doctorId
     * @return
     */
    public Map<String, Integer> equCount(Long hospitalId, Long doctorId) {
        //就诊总数
        int all = tRecordMapper.selectEquCount(hospitalId, doctorId, "1", null, null,null);
        //本月总数
        int month = tRecordMapper.selectEquCount(hospitalId, doctorId, "1", 1L, null,null);
        //本周总数
        int week = tRecordMapper.selectEquCount(hospitalId, doctorId, "1", null, 1L,null);
        //今日预约
        int day = tRecordMapper.selectEquCount(hospitalId, doctorId, "0", null, null,1L);
        Map<String, Integer> map = new HashMap<String, Integer>(){{
            put("all",all);
            put("month",month);
            put("week",week);
            put("day",day);
        }};
        return map;
    }

    /**
     * 今日就诊计划
     * @param hospitalId
     * @param doctorId
     * @return
     */
    public List<PlatformDayPlanResp> dayPlan(Long hospitalId, Long doctorId) {
        return tRecordMapper.dayPlan(hospitalId, doctorId);
    }

    /**
     * 周/月就诊人数统计
     * @param hospitalId
     * @param doctorId
     * @param weekMonth
     * @return
     */
    public List<WeekMonthPersonCountResp> weekMonthPersonCount(Long hospitalId, Long doctorId,Long weekMonth) {
        return tRecordMapper.weekMonthPersonCount(hospitalId, doctorId,weekMonth);
    }

    public List<TPatient> ageCount(Long hospitalId, Long doctorId) {
        return tRecordMapper.ageCount(hospitalId, doctorId);
    }
}
